Redmine - Defect #6819

REST API issues updating problems
2010-11-03 18:11 - anthony lamantia

Status: Closed Start date: 2010-11-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Using the REST API to update a issue I'm able to successfully adjust/change the subject but when changing priorities and statuses
I'm seeing a total failure.. redmine is sending a 200 OK in response and the produciton.log contains

Processing IssuesController#update to xml (for 192.168.16.79 at 2010-11-03 12:08:59) [PUT]

Parameters: {"format"=>"xml", "action"=>"update", "id"=>"198", "controller"=>"issues", "issue"=>{"project_id"=>"14",
"priority"=>{"name"=>"High", "id"=>"5"}, "subject"=>"Test"}}

Completed in 112ms (View: 1, DB: 15) | 200 OK [http:/redmine.********* private/issues/198.xml]

the subject takes bute the priority is never changed from low to high
HTTP log is below

PUT /issues/198.xml HTTP/1.1
Host: redmine.*********** private
User-Agent: /1 CFNetwork/454.9.8 Darwin/10.4.0 (i386) (iMac10%2C1)
Authorization: Basic *****
If-None-Match:

Content-Type: text/xml
Accept: */

Accept-Language: en-us
Accept-Encoding: gzip, deflate
Content-Length: 137
Connection: keep-alive

<?xml version="1.0"?>
<issue>
<subject>Test</subject>
<project_id>14</project_id>
<priority name="High" id="5"/>
</issue>

HTTP/1.1 200 OK

Date: Wed, 03 Nov 2010 17:16:36 GMT

Server: Apache/2.2.3 (CentOS)

X-Powered-By: Phusion Passenger (mod_rails/mod_rack) 2.2.11
X-Runtime: 109

Cache-Control: private, max-age=0, must-revalidate

Set-Cookie: _redmine_session=asfasfafafsafa%3D--0acc5621e3f0e9ff83e8be4033bdfc96b85b977d; path=/; HttpOnly
Content-Length: 1

Status: 200

Connection: close

Content-Type: application/xml; charset=utf-8

History

#1 - 2010-11-03 19:46 - Felix Schéfer
- Category deleted (REST API)
- Status changed from New to Closed

- Priority changed from High to Normal
http://redmine.*********.private/issues/198.xml

- Resolution set to Invalid

Go with priority_id. As a rule of thumb, have a look at the attribute names of the issue creation/update form for reference.
